Loading...
Searching...
No Matches
Halide::Internal::Weights Struct Reference

`#include <Weights.h>`

## Public Member Functions

template<typename F>
void | for_each_buffer (F f)
void | randomize (uint32_t seed)
bool | load (std::istream &i)
bool | save (std::ostream &o) const
bool | load_from_file (const std::string &filename)
bool | save_to_file (const std::string &filename) const
bool | load_from_dir (const std::string &dir)
bool | save_to_dir (const std::string &dir) const
template<typename F>
void | for_each_buffer (F f)
void | randomize (uint32_t seed)
bool | load (std::istream &i)
bool | save (std::ostream &o) const
bool | load_from_file (const std::string &filename)
bool | save_to_file (const std::string &filename) const
bool | load_from_dir (const std::string &dir)
bool | save_to_dir (const std::string &dir) const

## Public Attributes

uint32_t | pipeline_features_version = PipelineFeatures::version()
uint32_t | schedule_features_version = ScheduleFeatures::version()
Halide::Runtime::Buffer< float > | head1_filter {head1_channels, head1_w, head1_h}
Halide::Runtime::Buffer< float > | head1_bias {head1_channels}
Halide::Runtime::Buffer< float > | head2_filter {head2_channels, head2_w}
Halide::Runtime::Buffer< float > | head2_bias {head2_channels}
Halide::Runtime::Buffer< float > | conv1_filter {conv1_channels, head1_channels + head2_channels}
Halide::Runtime::Buffer< float > | conv1_bias {conv1_channels}

## Detailed Description

Definition at line 15 of file Weights.h.

## Member Function Documentation

## for_each_buffer() [1/2]

template<typename F>

void Halide::Internal::Weights::for_each_buffer | ( | F | f | ) |

inline

Definition at line 29 of file Weights.h.

References conv1_bias, conv1_filter, head1_bias, head1_filter, head2_bias, and head2_filter.

## randomize() [1/2]

void Halide::Internal::Weights::randomize | ( | uint32_t | seed | ) |

## load() [1/2]

bool Halide::Internal::Weights::load | ( | std::istream & | i | ) |

## save() [1/2]

bool Halide::Internal::Weights::save | ( | std::ostream & | o | ) | const

## load_from_file() [1/2]

bool Halide::Internal::Weights::load_from_file | ( | const std::string & | filename | ) |

## save_to_file() [1/2]

bool Halide::Internal::Weights::save_to_file | ( | const std::string & | filename | ) | const

## load_from_dir() [1/2]

bool Halide::Internal::Weights::load_from_dir | ( | const std::string & | dir | ) |

## save_to_dir() [1/2]

bool Halide::Internal::Weights::save_to_dir | ( | const std::string & | dir | ) | const

## for_each_buffer() [2/2]

template<typename F>

void Halide::Internal::Weights::for_each_buffer | ( | F | f | ) |

inline

Definition at line 29 of file Weights.h.

References conv1_bias, conv1_filter, head1_bias, head1_filter, head2_bias, and head2_filter.

## randomize() [2/2]

void Halide::Internal::Weights::randomize | ( | uint32_t | seed | ) |

## load() [2/2]

bool Halide::Internal::Weights::load | ( | std::istream & | i | ) |

## save() [2/2]

bool Halide::Internal::Weights::save | ( | std::ostream & | o | ) | const

## load_from_file() [2/2]

bool Halide::Internal::Weights::load_from_file | ( | const std::string & | filename | ) |

## save_to_file() [2/2]

bool Halide::Internal::Weights::save_to_file | ( | const std::string & | filename | ) | const

## load_from_dir() [2/2]

bool Halide::Internal::Weights::load_from_dir | ( | const std::string & | dir | ) |

## save_to_dir() [2/2]

bool Halide::Internal::Weights::save_to_dir | ( | const std::string & | dir | ) | const

## Member Data Documentation

## pipeline_features_version

uint32_t Halide::Internal::Weights::pipeline_features_version = PipelineFeatures::version()

Definition at line 16 of file Weights.h.

## schedule_features_version

uint32_t Halide::Internal::Weights::schedule_features_version = ScheduleFeatures::version()

Definition at line 17 of file Weights.h.

## head1_filter

Halide::Runtime::Buffer< float > Halide::Internal::Weights::head1_filter {head1_channels, head1_w, head1_h}

Definition at line 19 of file Weights.h.

Referenced by for_each_buffer().

## head1_bias

Halide::Runtime::Buffer< float > Halide::Internal::Weights::head1_bias {head1_channels}

Definition at line 20 of file Weights.h.

Referenced by for_each_buffer().

## head2_filter

Halide::Runtime::Buffer< float > Halide::Internal::Weights::head2_filter {head2_channels, head2_w}

Definition at line 22 of file Weights.h.

Referenced by for_each_buffer().

## head2_bias

Halide::Runtime::Buffer< float > Halide::Internal::Weights::head2_bias {head2_channels}

Definition at line 23 of file Weights.h.

Referenced by for_each_buffer().

## conv1_filter

Halide::Runtime::Buffer< float > Halide::Internal::Weights::conv1_filter {conv1_channels, head1_channels + head2_channels}

Definition at line 25 of file Weights.h.

Referenced by for_each_buffer().

## conv1_bias

Halide::Runtime::Buffer< float > Halide::Internal::Weights::conv1_bias {conv1_channels}

Definition at line 26 of file Weights.h.

Referenced by for_each_buffer().

The documentation for this struct was generated from the following files:

- src/autoschedulers/adams2019/Weights.h
- src/autoschedulers/anderson2021/Weights.h